unit SmoothPictureUnit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,

  SmoothPicture, ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Image1: TImage;
    Label2: TLabel;
    Label3: TLabel;
    SmoothImage1: TSmoothImage;
    procedure FormPaint(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormPaint(Sender: TObject);
var
  Picture : TPicture;
  SmoothBitmap : TSmoothBitmap;
begin
  Picture := TPicture.Create;

  Picture.LoadFromFile ('Socer.EMF');
  SmoothBitmap := TSmoothBitmap.Create;
  SmoothBitmap.LoadFromFile ('Socer.SBM');
  SmoothBitmap.Draw (Canvas, 8, 112);
  Canvas.StretchDraw (Rect(328,112,433,231), Picture.MetaFile);
  SmoothBitmap.Free;

  Picture.LoadFromFile ('Bicycl.EMF');
  SmoothBitmap := TSmoothBitmap.Create;
  SmoothBitmap.GetStretchedMetaFile (Picture.MetaFile, 50, 60, spqHigh);
  SmoothBitmap.Draw (Canvas, 140, 132);
  Canvas.StretchDraw (Rect(460,132,510,192), Picture.MetaFile);
  SmoothBitmap.GetStretchedMetaFile (Picture.MetaFile, 100, 120, spqHigh);
  SmoothBitmap.Draw (Canvas, 150, 122);
  Canvas.StretchDraw (Rect(470,122,570,242), Picture.MetaFile);
  SmoothBitmap.Free;

  Picture.LoadFromFile ('Hockey2.EMF');
  SmoothStretchDraw (Canvas, Rect(90,300,140,350), Picture.MetaFile, spqHigh);
  Canvas.StretchDraw (Rect(408,300,458,350), Picture.MetaFile);
  SmoothStretchDraw (Canvas, Rect(10,275,110,375), Picture.MetaFile, spqHigh);
  Canvas.StretchDraw (Rect(328,275,428,375), Picture.MetaFile);
  Picture.Free;
end;


end.
